# coding=utf-8
# --------------------------------------------------------------------------
# Copyright (c) Microsoft Corporation. All rights reserved.
# Licensed under the MIT License. See License.txt in the project root for license information.
# Code generated by Microsoft (R) AutoRest Code Generator.
# Changes may cause incorrect behavior and will be lost if the code is regenerated.
# --------------------------------------------------------------------------
# pylint: disable=wrong-import-position

from typing import TYPE_CHECKING

if TYPE_CHECKING:
    from ._patch import *  # pylint: disable=unused-wildcard-import

from ._api_gateway_operations import ApiGatewayOperations  # type: ignore
from ._api_management_gateway_skus_operations import ApiManagementGatewaySkusOperations  # type: ignore
from ._all_policies_operations import AllPoliciesOperations  # type: ignore
from ._api_operations import ApiOperations  # type: ignore
from ._api_revision_operations import ApiRevisionOperations  # type: ignore
from ._api_release_operations import ApiReleaseOperations  # type: ignore
from ._api_operation_operations import ApiOperationOperations  # type: ignore
from ._api_operation_policy_operations import ApiOperationPolicyOperations  # type: ignore
from ._tag_operations import TagOperations  # type: ignore
from ._graph_ql_api_resolver_operations import GraphQLApiResolverOperations  # type: ignore
from ._graph_ql_api_resolver_policy_operations import GraphQLApiResolverPolicyOperations  # type: ignore
from ._api_product_operations import ApiProductOperations  # type: ignore
from ._api_policy_operations import ApiPolicyOperations  # type: ignore
from ._api_schema_operations import ApiSchemaOperations  # type: ignore
from ._api_diagnostic_operations import ApiDiagnosticOperations  # type: ignore
from ._api_issue_operations import ApiIssueOperations  # type: ignore
from ._api_issue_comment_operations import ApiIssueCommentOperations  # type: ignore
from ._api_issue_attachment_operations import ApiIssueAttachmentOperations  # type: ignore
from ._api_tag_description_operations import ApiTagDescriptionOperations  # type: ignore
from ._operation_operations import OperationOperations  # type: ignore
from ._api_wiki_operations import ApiWikiOperations  # type: ignore
from ._api_wikis_operations import ApiWikisOperations  # type: ignore
from ._api_export_operations import ApiExportOperations  # type: ignore
from ._api_version_set_operations import ApiVersionSetOperations  # type: ignore
from ._authorization_provider_operations import AuthorizationProviderOperations  # type: ignore
from ._authorization_operations import AuthorizationOperations  # type: ignore
from ._authorization_login_links_operations import AuthorizationLoginLinksOperations  # type: ignore
from ._authorization_access_policy_operations import AuthorizationAccessPolicyOperations  # type: ignore
from ._authorization_server_operations import AuthorizationServerOperations  # type: ignore
from ._backend_operations import BackendOperations  # type: ignore
from ._cache_operations import CacheOperations  # type: ignore
from ._certificate_operations import CertificateOperations  # type: ignore
from ._api_management_client_operations import ApiManagementClientOperationsMixin  # type: ignore
from ._content_type_operations import ContentTypeOperations  # type: ignore
from ._content_item_operations import ContentItemOperations  # type: ignore
from ._deleted_services_operations import DeletedServicesOperations  # type: ignore
from ._api_management_operations_operations import ApiManagementOperationsOperations  # type: ignore
from ._api_management_service_skus_operations import ApiManagementServiceSkusOperations  # type: ignore
from ._api_management_service_operations import ApiManagementServiceOperations  # type: ignore
from ._diagnostic_operations import DiagnosticOperations  # type: ignore
from ._documentation_operations import DocumentationOperations  # type: ignore
from ._email_template_operations import EmailTemplateOperations  # type: ignore
from ._api_gateway_config_connection_operations import ApiGatewayConfigConnectionOperations  # type: ignore
from ._gateway_operations import GatewayOperations  # type: ignore
from ._gateway_hostname_configuration_operations import GatewayHostnameConfigurationOperations  # type: ignore
from ._gateway_api_operations import GatewayApiOperations  # type: ignore
from ._gateway_certificate_authority_operations import GatewayCertificateAuthorityOperations  # type: ignore
from ._group_operations import GroupOperations  # type: ignore
from ._group_user_operations import GroupUserOperations  # type: ignore
from ._identity_provider_operations import IdentityProviderOperations  # type: ignore
from ._issue_operations import IssueOperations  # type: ignore
from ._logger_operations import LoggerOperations  # type: ignore
from ._named_value_operations import NamedValueOperations  # type: ignore
from ._network_status_operations import NetworkStatusOperations  # type: ignore
from ._notification_operations import NotificationOperations  # type: ignore
from ._notification_recipient_user_operations import NotificationRecipientUserOperations  # type: ignore
from ._notification_recipient_email_operations import NotificationRecipientEmailOperations  # type: ignore
from ._open_id_connect_provider_operations import OpenIdConnectProviderOperations  # type: ignore
from ._outbound_network_dependencies_endpoints_operations import OutboundNetworkDependenciesEndpointsOperations  # type: ignore
from ._policy_operations import PolicyOperations  # type: ignore
from ._policy_description_operations import PolicyDescriptionOperations  # type: ignore
from ._policy_fragment_operations import PolicyFragmentOperations  # type: ignore
from ._policy_restriction_operations import PolicyRestrictionOperations  # type: ignore
from ._policy_restriction_validations_operations import PolicyRestrictionValidationsOperations  # type: ignore
from ._portal_config_operations import PortalConfigOperations  # type: ignore
from ._portal_revision_operations import PortalRevisionOperations  # type: ignore
from ._portal_settings_operations import PortalSettingsOperations  # type: ignore
from ._sign_in_settings_operations import SignInSettingsOperations  # type: ignore
from ._sign_up_settings_operations import SignUpSettingsOperations  # type: ignore
from ._delegation_settings_operations import DelegationSettingsOperations  # type: ignore
from ._private_endpoint_connection_operations import PrivateEndpointConnectionOperations  # type: ignore
from ._product_operations import ProductOperations  # type: ignore
from ._product_api_operations import ProductApiOperations  # type: ignore
from ._product_group_operations import ProductGroupOperations  # type: ignore
from ._product_subscriptions_operations import ProductSubscriptionsOperations  # type: ignore
from ._product_policy_operations import ProductPolicyOperations  # type: ignore
from ._product_wiki_operations import ProductWikiOperations  # type: ignore
from ._product_wikis_operations import ProductWikisOperations  # type: ignore
from ._product_api_link_operations import ProductApiLinkOperations  # type: ignore
from ._product_group_link_operations import ProductGroupLinkOperations  # type: ignore
from ._quota_by_counter_keys_operations import QuotaByCounterKeysOperations  # type: ignore
from ._quota_by_period_keys_operations import QuotaByPeriodKeysOperations  # type: ignore
from ._region_operations import RegionOperations  # type: ignore
from ._reports_operations import ReportsOperations  # type: ignore
from ._global_schema_operations import GlobalSchemaOperations  # type: ignore
from ._tenant_settings_operations import TenantSettingsOperations  # type: ignore
from ._api_management_skus_operations import ApiManagementSkusOperations  # type: ignore
from ._subscription_operations import SubscriptionOperations  # type: ignore
from ._tag_resource_operations import TagResourceOperations  # type: ignore
from ._tag_api_link_operations import TagApiLinkOperations  # type: ignore
from ._tag_operation_link_operations import TagOperationLinkOperations  # type: ignore
from ._tag_product_link_operations import TagProductLinkOperations  # type: ignore
from ._tenant_access_operations import TenantAccessOperations  # type: ignore
from ._tenant_access_git_operations import TenantAccessGitOperations  # type: ignore
from ._tenant_configuration_operations import TenantConfigurationOperations  # type: ignore
from ._user_operations import UserOperations  # type: ignore
from ._user_group_operations import UserGroupOperations  # type: ignore
from ._user_subscription_operations import UserSubscriptionOperations  # type: ignore
from ._user_identities_operations import UserIdentitiesOperations  # type: ignore
from ._user_confirmation_password_operations import UserConfirmationPasswordOperations  # type: ignore
from ._workspace_backend_operations import WorkspaceBackendOperations  # type: ignore
from ._workspace_certificate_operations import WorkspaceCertificateOperations  # type: ignore
from ._workspace_diagnostic_operations import WorkspaceDiagnosticOperations  # type: ignore
from ._workspace_api_diagnostic_operations import WorkspaceApiDiagnosticOperations  # type: ignore
from ._api_management_workspace_links_operations import ApiManagementWorkspaceLinksOperations  # type: ignore
from ._api_management_workspace_link_operations import ApiManagementWorkspaceLinkOperations  # type: ignore
from ._workspace_logger_operations import WorkspaceLoggerOperations  # type: ignore
from ._workspace_operations import WorkspaceOperations  # type: ignore
from ._workspace_policy_operations import WorkspacePolicyOperations  # type: ignore
from ._workspace_named_value_operations import WorkspaceNamedValueOperations  # type: ignore
from ._workspace_global_schema_operations import WorkspaceGlobalSchemaOperations  # type: ignore
from ._workspace_notification_operations import WorkspaceNotificationOperations  # type: ignore
from ._workspace_notification_recipient_user_operations import WorkspaceNotificationRecipientUserOperations  # type: ignore
from ._workspace_notification_recipient_email_operations import WorkspaceNotificationRecipientEmailOperations  # type: ignore
from ._workspace_policy_fragment_operations import WorkspacePolicyFragmentOperations  # type: ignore
from ._workspace_group_operations import WorkspaceGroupOperations  # type: ignore
from ._workspace_group_user_operations import WorkspaceGroupUserOperations  # type: ignore
from ._workspace_subscription_operations import WorkspaceSubscriptionOperations  # type: ignore
from ._workspace_api_version_set_operations import WorkspaceApiVersionSetOperations  # type: ignore
from ._workspace_api_operations import WorkspaceApiOperations  # type: ignore
from ._workspace_api_revision_operations import WorkspaceApiRevisionOperations  # type: ignore
from ._workspace_api_release_operations import WorkspaceApiReleaseOperations  # type: ignore
from ._workspace_api_operation_operations import WorkspaceApiOperationOperations  # type: ignore
from ._workspace_api_operation_policy_operations import WorkspaceApiOperationPolicyOperations  # type: ignore
from ._workspace_api_policy_operations import WorkspaceApiPolicyOperations  # type: ignore
from ._workspace_api_schema_operations import WorkspaceApiSchemaOperations  # type: ignore
from ._workspace_product_operations import WorkspaceProductOperations  # type: ignore
from ._workspace_product_api_link_operations import WorkspaceProductApiLinkOperations  # type: ignore
from ._workspace_product_group_link_operations import WorkspaceProductGroupLinkOperations  # type: ignore
from ._workspace_product_policy_operations import WorkspaceProductPolicyOperations  # type: ignore
from ._workspace_tag_operations import WorkspaceTagOperations  # type: ignore
from ._workspace_tag_api_link_operations import WorkspaceTagApiLinkOperations  # type: ignore
from ._workspace_tag_operation_link_operations import WorkspaceTagOperationLinkOperations  # type: ignore
from ._workspace_tag_product_link_operations import WorkspaceTagProductLinkOperations  # type: ignore
from ._workspace_api_export_operations import WorkspaceApiExportOperations  # type: ignore
from ._operation_status_operations import OperationStatusOperations  # type: ignore
from ._operations_results_operations import OperationsResultsOperations  # type: ignore

from ._patch import __all__ as _patch_all
from ._patch import *
from ._patch import patch_sdk as _patch_sdk

__all__ = [
    "ApiGatewayOperations",
    "ApiManagementGatewaySkusOperations",
    "AllPoliciesOperations",
    "ApiOperations",
    "ApiRevisionOperations",
    "ApiReleaseOperations",
    "ApiOperationOperations",
    "ApiOperationPolicyOperations",
    "TagOperations",
    "GraphQLApiResolverOperations",
    "GraphQLApiResolverPolicyOperations",
    "ApiProductOperations",
    "ApiPolicyOperations",
    "ApiSchemaOperations",
    "ApiDiagnosticOperations",
    "ApiIssueOperations",
    "ApiIssueCommentOperations",
    "ApiIssueAttachmentOperations",
    "ApiTagDescriptionOperations",
    "OperationOperations",
    "ApiWikiOperations",
    "ApiWikisOperations",
    "ApiExportOperations",
    "ApiVersionSetOperations",
    "AuthorizationProviderOperations",
    "AuthorizationOperations",
    "AuthorizationLoginLinksOperations",
    "AuthorizationAccessPolicyOperations",
    "AuthorizationServerOperations",
    "BackendOperations",
    "CacheOperations",
    "CertificateOperations",
    "ApiManagementClientOperationsMixin",
    "ContentTypeOperations",
    "ContentItemOperations",
    "DeletedServicesOperations",
    "ApiManagementOperationsOperations",
    "ApiManagementServiceSkusOperations",
    "ApiManagementServiceOperations",
    "DiagnosticOperations",
    "DocumentationOperations",
    "EmailTemplateOperations",
    "ApiGatewayConfigConnectionOperations",
    "GatewayOperations",
    "GatewayHostnameConfigurationOperations",
    "GatewayApiOperations",
    "GatewayCertificateAuthorityOperations",
    "GroupOperations",
    "GroupUserOperations",
    "IdentityProviderOperations",
    "IssueOperations",
    "LoggerOperations",
    "NamedValueOperations",
    "NetworkStatusOperations",
    "NotificationOperations",
    "NotificationRecipientUserOperations",
    "NotificationRecipientEmailOperations",
    "OpenIdConnectProviderOperations",
    "OutboundNetworkDependenciesEndpointsOperations",
    "PolicyOperations",
    "PolicyDescriptionOperations",
    "PolicyFragmentOperations",
    "PolicyRestrictionOperations",
    "PolicyRestrictionValidationsOperations",
    "PortalConfigOperations",
    "PortalRevisionOperations",
    "PortalSettingsOperations",
    "SignInSettingsOperations",
    "SignUpSettingsOperations",
    "DelegationSettingsOperations",
    "PrivateEndpointConnectionOperations",
    "ProductOperations",
    "ProductApiOperations",
    "ProductGroupOperations",
    "ProductSubscriptionsOperations",
    "ProductPolicyOperations",
    "ProductWikiOperations",
    "ProductWikisOperations",
    "ProductApiLinkOperations",
    "ProductGroupLinkOperations",
    "QuotaByCounterKeysOperations",
    "QuotaByPeriodKeysOperations",
    "RegionOperations",
    "ReportsOperations",
    "GlobalSchemaOperations",
    "TenantSettingsOperations",
    "ApiManagementSkusOperations",
    "SubscriptionOperations",
    "TagResourceOperations",
    "TagApiLinkOperations",
    "TagOperationLinkOperations",
    "TagProductLinkOperations",
    "TenantAccessOperations",
    "TenantAccessGitOperations",
    "TenantConfigurationOperations",
    "UserOperations",
    "UserGroupOperations",
    "UserSubscriptionOperations",
    "UserIdentitiesOperations",
    "UserConfirmationPasswordOperations",
    "WorkspaceBackendOperations",
    "WorkspaceCertificateOperations",
    "WorkspaceDiagnosticOperations",
    "WorkspaceApiDiagnosticOperations",
    "ApiManagementWorkspaceLinksOperations",
    "ApiManagementWorkspaceLinkOperations",
    "WorkspaceLoggerOperations",
    "WorkspaceOperations",
    "WorkspacePolicyOperations",
    "WorkspaceNamedValueOperations",
    "WorkspaceGlobalSchemaOperations",
    "WorkspaceNotificationOperations",
    "WorkspaceNotificationRecipientUserOperations",
    "WorkspaceNotificationRecipientEmailOperations",
    "WorkspacePolicyFragmentOperations",
    "WorkspaceGroupOperations",
    "WorkspaceGroupUserOperations",
    "WorkspaceSubscriptionOperations",
    "WorkspaceApiVersionSetOperations",
    "WorkspaceApiOperations",
    "WorkspaceApiRevisionOperations",
    "WorkspaceApiReleaseOperations",
    "WorkspaceApiOperationOperations",
    "WorkspaceApiOperationPolicyOperations",
    "WorkspaceApiPolicyOperations",
    "WorkspaceApiSchemaOperations",
    "WorkspaceProductOperations",
    "WorkspaceProductApiLinkOperations",
    "WorkspaceProductGroupLinkOperations",
    "WorkspaceProductPolicyOperations",
    "WorkspaceTagOperations",
    "WorkspaceTagApiLinkOperations",
    "WorkspaceTagOperationLinkOperations",
    "WorkspaceTagProductLinkOperations",
    "WorkspaceApiExportOperations",
    "OperationStatusOperations",
    "OperationsResultsOperations",
]
__all__.extend([p for p in _patch_all if p not in __all__])  # pyright: ignore
_patch_sdk()
