# coding=utf-8
# --------------------------------------------------------------------------
# Copyright (c) Microsoft Corporation. All rights reserved.
# Licensed under the MIT License. See License.txt in the project root for license information.
# Code generated by Microsoft (R) AutoRest Code Generator.
# Changes may cause incorrect behavior and will be lost if the code is regenerated.
# --------------------------------------------------------------------------
# pylint: disable=wrong-import-position

from typing import TYPE_CHECKING

if TYPE_CHECKING:
    from ._patch import *  # pylint: disable=unused-wildcard-import


from ._models_py3 import (  # type: ignore
    AccessInformationCollection,
    AccessInformationContract,
    AccessInformationCreateParameters,
    AccessInformationSecretsContract,
    AccessInformationUpdateParameters,
    AdditionalLocation,
    AllPoliciesCollection,
    AllPoliciesContract,
    ApiCollection,
    ApiContactInformation,
    ApiContract,
    ApiContractProperties,
    ApiContractUpdateProperties,
    ApiCreateOrUpdateParameter,
    ApiCreateOrUpdateProperties,
    ApiCreateOrUpdatePropertiesWsdlSelector,
    ApiEntityBaseContract,
    ApiExportResult,
    ApiExportResultValue,
    ApiLicenseInformation,
    ApiManagementGatewayBaseProperties,
    ApiManagementGatewayConfigConnectionListResult,
    ApiManagementGatewayConfigConnectionResource,
    ApiManagementGatewayListResult,
    ApiManagementGatewayProperties,
    ApiManagementGatewayResource,
    ApiManagementGatewaySkuProperties,
    ApiManagementGatewaySkuPropertiesForPatch,
    ApiManagementGatewayUpdateParameters,
    ApiManagementGatewayUpdateProperties,
    ApiManagementServiceApplyNetworkConfigurationParameters,
    ApiManagementServiceBackupRestoreParameters,
    ApiManagementServiceBaseProperties,
    ApiManagementServiceCheckNameAvailabilityParameters,
    ApiManagementServiceGetDomainOwnershipIdentifierResult,
    ApiManagementServiceGetSsoTokenResult,
    ApiManagementServiceIdentity,
    ApiManagementServiceListResult,
    ApiManagementServiceNameAvailabilityResult,
    ApiManagementServiceProperties,
    ApiManagementServiceResource,
    ApiManagementServiceSkuProperties,
    ApiManagementServiceUpdateParameters,
    ApiManagementServiceUpdateProperties,
    ApiManagementSku,
    ApiManagementSkuCapabilities,
    ApiManagementSkuCapacity,
    ApiManagementSkuCosts,
    ApiManagementSkuLocationInfo,
    ApiManagementSkuRestrictionInfo,
    ApiManagementSkuRestrictions,
    ApiManagementSkuZoneDetails,
    ApiManagementSkusResult,
    ApiManagementWorkspaceLinksListResult,
    ApiManagementWorkspaceLinksProperties,
    ApiManagementWorkspaceLinksResource,
    ApiReleaseCollection,
    ApiReleaseContract,
    ApiRevisionCollection,
    ApiRevisionContract,
    ApiRevisionInfoContract,
    ApiTagResourceContractProperties,
    ApiUpdateContract,
    ApiVersionConstraint,
    ApiVersionSetCollection,
    ApiVersionSetContract,
    ApiVersionSetContractDetails,
    ApiVersionSetContractProperties,
    ApiVersionSetEntityBase,
    ApiVersionSetUpdateParameters,
    ApiVersionSetUpdateParametersProperties,
    ApimResource,
    ArmIdWrapper,
    AssociationContract,
    AuthenticationSettingsContract,
    AuthorizationAccessPolicyCollection,
    AuthorizationAccessPolicyContract,
    AuthorizationCollection,
    AuthorizationConfirmConsentCodeRequestContract,
    AuthorizationContract,
    AuthorizationError,
    AuthorizationLoginRequestContract,
    AuthorizationLoginResponseContract,
    AuthorizationProviderCollection,
    AuthorizationProviderContract,
    AuthorizationProviderOAuth2GrantTypes,
    AuthorizationProviderOAuth2Settings,
    AuthorizationServerCollection,
    AuthorizationServerContract,
    AuthorizationServerContractBaseProperties,
    AuthorizationServerContractProperties,
    AuthorizationServerSecretsContract,
    AuthorizationServerUpdateContract,
    AuthorizationServerUpdateContractProperties,
    BackendAuthorizationHeaderCredentials,
    BackendBaseParameters,
    BackendBaseParametersPool,
    BackendCircuitBreaker,
    BackendCollection,
    BackendConfiguration,
    BackendContract,
    BackendContractProperties,
    BackendCredentialsContract,
    BackendPool,
    BackendPoolItem,
    BackendProperties,
    BackendProxyContract,
    BackendReconnectContract,
    BackendServiceFabricClusterProperties,
    BackendSubnetConfiguration,
    BackendTlsProperties,
    BackendUpdateParameterProperties,
    BackendUpdateParameters,
    BodyDiagnosticSettings,
    CacheCollection,
    CacheContract,
    CacheUpdateParameters,
    CertificateCollection,
    CertificateConfiguration,
    CertificateContract,
    CertificateCreateOrUpdateParameters,
    CertificateInformation,
    CircuitBreakerFailureCondition,
    CircuitBreakerRule,
    ClientSecretContract,
    ConfigurationApi,
    ConnectivityCheckRequest,
    ConnectivityCheckRequestDestination,
    ConnectivityCheckRequestProtocolConfiguration,
    ConnectivityCheckRequestProtocolConfigurationHTTPConfiguration,
    ConnectivityCheckRequestSource,
    ConnectivityCheckResponse,
    ConnectivityHop,
    ConnectivityIssue,
    ConnectivityStatusContract,
    ContentItemCollection,
    ContentItemContract,
    ContentTypeCollection,
    ContentTypeContract,
    DataMasking,
    DataMaskingEntity,
    DeletedServiceContract,
    DeletedServicesCollection,
    DeployConfigurationParameters,
    DiagnosticCollection,
    DiagnosticContract,
    DiagnosticUpdateContract,
    DocumentationCollection,
    DocumentationContract,
    DocumentationUpdateContract,
    EmailTemplateCollection,
    EmailTemplateContract,
    EmailTemplateParametersContractProperties,
    EmailTemplateUpdateParameters,
    EndpointDependency,
    EndpointDetail,
    ErrorAdditionalInfo,
    ErrorDetail,
    ErrorFieldContract,
    ErrorResponse,
    ErrorResponseBody,
    FailureStatusCodeRange,
    FrontendConfiguration,
    GatewayCertificateAuthorityCollection,
    GatewayCertificateAuthorityContract,
    GatewayCollection,
    GatewayConfigurationApi,
    GatewayContract,
    GatewayDebugCredentialsContract,
    GatewayHostnameConfigurationCollection,
    GatewayHostnameConfigurationContract,
    GatewayKeyRegenerationRequestContract,
    GatewayKeysContract,
    GatewayListDebugCredentialsContract,
    GatewayListTraceContract,
    GatewayResourceSkuResult,
    GatewayResourceSkuResults,
    GatewaySku,
    GatewaySkuCapacity,
    GatewayTokenContract,
    GatewayTokenRequestContract,
    GenerateSsoUrlResult,
    GlobalSchemaCollection,
    GlobalSchemaContract,
    GroupCollection,
    GroupContract,
    GroupContractProperties,
    GroupCreateParameters,
    GroupUpdateParameters,
    HTTPHeader,
    HostnameConfiguration,
    HttpMessageDiagnostic,
    IdentityProviderBaseParameters,
    IdentityProviderContract,
    IdentityProviderContractProperties,
    IdentityProviderCreateContract,
    IdentityProviderCreateContractProperties,
    IdentityProviderList,
    IdentityProviderUpdateParameters,
    IdentityProviderUpdateProperties,
    IssueAttachmentCollection,
    IssueAttachmentContract,
    IssueCollection,
    IssueCommentCollection,
    IssueCommentContract,
    IssueContract,
    IssueContractBaseProperties,
    IssueContractProperties,
    IssueUpdateContract,
    IssueUpdateContractProperties,
    KeyVaultContractCreateProperties,
    KeyVaultContractProperties,
    KeyVaultLastAccessStatusContractProperties,
    LoggerCollection,
    LoggerContract,
    LoggerUpdateContract,
    MigrateToStv2Contract,
    NamedValueCollection,
    NamedValueContract,
    NamedValueContractProperties,
    NamedValueCreateContract,
    NamedValueCreateContractProperties,
    NamedValueEntityBaseParameters,
    NamedValueSecretContract,
    NamedValueUpdateParameterProperties,
    NamedValueUpdateParameters,
    NetworkStatusContract,
    NetworkStatusContractByLocation,
    NotificationCollection,
    NotificationContract,
    OAuth2AuthenticationSettingsContract,
    OpenIdAuthenticationSettingsContract,
    OpenIdConnectProviderCollection,
    OpenidConnectProviderContract,
    OpenidConnectProviderUpdateContract,
    Operation,
    OperationCollection,
    OperationContract,
    OperationContractProperties,
    OperationDisplay,
    OperationEntityBaseContract,
    OperationListResult,
    OperationResultContract,
    OperationResultLogItemContract,
    OperationStatusResult,
    OperationTagResourceContractProperties,
    OperationUpdateContract,
    OperationUpdateContractProperties,
    OutboundEnvironmentEndpoint,
    OutboundEnvironmentEndpointList,
    ParameterContract,
    ParameterExampleContract,
    PipelineDiagnosticSettings,
    PolicyCollection,
    PolicyContract,
    PolicyDescriptionCollection,
    PolicyDescriptionContract,
    PolicyFragmentCollection,
    PolicyFragmentContract,
    PolicyRestrictionCollection,
    PolicyRestrictionContract,
    PolicyRestrictionUpdateContract,
    PolicyWithComplianceCollection,
    PolicyWithComplianceContract,
    PortalConfigCollection,
    PortalConfigContract,
    PortalConfigCorsProperties,
    PortalConfigCspProperties,
    PortalConfigDelegationProperties,
    PortalConfigPropertiesSignin,
    PortalConfigPropertiesSignup,
    PortalConfigTermsOfServiceProperties,
    PortalDelegationSettings,
    PortalRevisionCollection,
    PortalRevisionContract,
    PortalSettingValidationKeyContract,
    PortalSettingsCollection,
    PortalSettingsContract,
    PortalSigninSettings,
    PortalSignupSettings,
    PrivateEndpoint,
    PrivateEndpointConnection,
    PrivateEndpointConnectionListResult,
    PrivateEndpointConnectionRequest,
    PrivateEndpointConnectionRequestProperties,
    PrivateLinkResource,
    PrivateLinkResourceListResult,
    PrivateLinkServiceConnectionState,
    ProductApiLinkCollection,
    ProductApiLinkContract,
    ProductCollection,
    ProductContract,
    ProductContractProperties,
    ProductEntityBaseParameters,
    ProductGroupLinkCollection,
    ProductGroupLinkContract,
    ProductTagResourceContractProperties,
    ProductUpdateParameters,
    ProductUpdateProperties,
    ProxyResource,
    QuotaCounterCollection,
    QuotaCounterContract,
    QuotaCounterValueContract,
    QuotaCounterValueContractProperties,
    QuotaCounterValueUpdateContract,
    RecipientEmailCollection,
    RecipientEmailContract,
    RecipientUserCollection,
    RecipientUserContract,
    RecipientsContractProperties,
    RegionContract,
    RegionListResult,
    RegistrationDelegationSettingsProperties,
    RemotePrivateEndpointConnectionWrapper,
    ReportCollection,
    ReportRecordContract,
    RepresentationContract,
    RequestContract,
    RequestReportCollection,
    RequestReportRecordContract,
    ResolverCollection,
    ResolverContract,
    ResolverResultContract,
    ResolverResultLogItemContract,
    ResolverUpdateContract,
    Resource,
    ResourceCollection,
    ResourceCollectionValueItem,
    ResourceLocationDataContract,
    ResourceSku,
    ResourceSkuCapacity,
    ResourceSkuResult,
    ResourceSkuResults,
    ResponseContract,
    SamplingSettings,
    SaveConfigurationParameter,
    SchemaCollection,
    SchemaContract,
    SubscriptionCollection,
    SubscriptionContract,
    SubscriptionCreateParameters,
    SubscriptionKeyParameterNamesContract,
    SubscriptionKeysContract,
    SubscriptionUpdateParameters,
    SubscriptionsDelegationSettingsProperties,
    SystemData,
    TagApiLinkCollection,
    TagApiLinkContract,
    TagCollection,
    TagContract,
    TagCreateUpdateParameters,
    TagDescriptionBaseProperties,
    TagDescriptionCollection,
    TagDescriptionContract,
    TagDescriptionContractProperties,
    TagDescriptionCreateParameters,
    TagOperationLinkCollection,
    TagOperationLinkContract,
    TagProductLinkCollection,
    TagProductLinkContract,
    TagResourceCollection,
    TagResourceContract,
    TagResourceContractProperties,
    TenantConfigurationSyncStateContract,
    TenantSettingsCollection,
    TenantSettingsContract,
    TermsOfServiceProperties,
    TokenBodyParameterContract,
    UserCollection,
    UserContract,
    UserContractProperties,
    UserCreateParameterProperties,
    UserCreateParameters,
    UserEntityBaseParameters,
    UserIdentityCollection,
    UserIdentityContract,
    UserIdentityProperties,
    UserTokenParameters,
    UserTokenResult,
    UserUpdateParameters,
    UserUpdateParametersProperties,
    VirtualNetworkConfiguration,
    WikiCollection,
    WikiContract,
    WikiDocumentationContract,
    WikiUpdateContract,
    WorkspaceCollection,
    WorkspaceContract,
    WorkspaceLinksBaseProperties,
    WorkspaceLinksGateway,
    X509CertificateName,
)

from ._api_management_client_enums import (  # type: ignore
    AccessIdName,
    AccessType,
    AlwaysLog,
    ApiGatewaySkuType,
    ApiManagementSkuCapacityScaleType,
    ApiManagementSkuRestrictionsReasonCode,
    ApiManagementSkuRestrictionsType,
    ApiType,
    ApimIdentityType,
    AppType,
    AsyncOperationStatus,
    AsyncResolverStatus,
    AuthorizationMethod,
    AuthorizationType,
    BackendProtocol,
    BackendType,
    BearerTokenSendingMethod,
    BearerTokenSendingMethods,
    CertificateConfigurationStoreName,
    CertificateSource,
    CertificateStatus,
    ClientAuthenticationMethod,
    ConfigurationIdName,
    Confirmation,
    ConnectionStatus,
    ConnectivityCheckProtocol,
    ConnectivityStatusType,
    ContentFormat,
    CreatedByType,
    DataMaskingMode,
    DeveloperPortalStatus,
    ExportApi,
    ExportFormat,
    ExportResultFormat,
    GatewayListDebugCredentialsContractPurpose,
    GatewaySkuCapacityScaleType,
    GrantType,
    GroupType,
    HostnameType,
    HttpCorrelationProtocol,
    IdentityProviderType,
    IssueType,
    KeyType,
    KeyVaultRefreshState,
    LegacyApiState,
    LegacyPortalStatus,
    LoggerType,
    Method,
    MigrateToStv2Mode,
    NameAvailabilityReason,
    NatGatewayState,
    NotificationName,
    OAuth2GrantType,
    OperationNameFormat,
    Origin,
    PlatformVersion,
    PolicyComplianceState,
    PolicyContentFormat,
    PolicyExportFormat,
    PolicyFragmentContentFormat,
    PolicyIdName,
    PolicyRestrictionRequireBase,
    PolicyScopeContract,
    PortalRevisionStatus,
    PortalSettingsCspMode,
    PreferredIPVersion,
    PrivateEndpointConnectionProvisioningState,
    PrivateEndpointServiceConnectionStatus,
    ProductState,
    Protocol,
    PublicNetworkAccess,
    ResourceSkuCapacityScaleType,
    SamplingType,
    SchemaType,
    SettingsTypeName,
    Severity,
    SkuType,
    SoapApiType,
    State,
    SubscriptionState,
    TemplateName,
    TranslateRequiredQueryParametersConduct,
    UserState,
    Verbosity,
    VersioningScheme,
    VirtualNetworkType,
)
from ._patch import __all__ as _patch_all
from ._patch import *
from ._patch import patch_sdk as _patch_sdk

__all__ = [
    "AccessInformationCollection",
    "AccessInformationContract",
    "AccessInformationCreateParameters",
    "AccessInformationSecretsContract",
    "AccessInformationUpdateParameters",
    "AdditionalLocation",
    "AllPoliciesCollection",
    "AllPoliciesContract",
    "ApiCollection",
    "ApiContactInformation",
    "ApiContract",
    "ApiContractProperties",
    "ApiContractUpdateProperties",
    "ApiCreateOrUpdateParameter",
    "ApiCreateOrUpdateProperties",
    "ApiCreateOrUpdatePropertiesWsdlSelector",
    "ApiEntityBaseContract",
    "ApiExportResult",
    "ApiExportResultValue",
    "ApiLicenseInformation",
    "ApiManagementGatewayBaseProperties",
    "ApiManagementGatewayConfigConnectionListResult",
    "ApiManagementGatewayConfigConnectionResource",
    "ApiManagementGatewayListResult",
    "ApiManagementGatewayProperties",
    "ApiManagementGatewayResource",
    "ApiManagementGatewaySkuProperties",
    "ApiManagementGatewaySkuPropertiesForPatch",
    "ApiManagementGatewayUpdateParameters",
    "ApiManagementGatewayUpdateProperties",
    "ApiManagementServiceApplyNetworkConfigurationParameters",
    "ApiManagementServiceBackupRestoreParameters",
    "ApiManagementServiceBaseProperties",
    "ApiManagementServiceCheckNameAvailabilityParameters",
    "ApiManagementServiceGetDomainOwnershipIdentifierResult",
    "ApiManagementServiceGetSsoTokenResult",
    "ApiManagementServiceIdentity",
    "ApiManagementServiceListResult",
    "ApiManagementServiceNameAvailabilityResult",
    "ApiManagementServiceProperties",
    "ApiManagementServiceResource",
    "ApiManagementServiceSkuProperties",
    "ApiManagementServiceUpdateParameters",
    "ApiManagementServiceUpdateProperties",
    "ApiManagementSku",
    "ApiManagementSkuCapabilities",
    "ApiManagementSkuCapacity",
    "ApiManagementSkuCosts",
    "ApiManagementSkuLocationInfo",
    "ApiManagementSkuRestrictionInfo",
    "ApiManagementSkuRestrictions",
    "ApiManagementSkuZoneDetails",
    "ApiManagementSkusResult",
    "ApiManagementWorkspaceLinksListResult",
    "ApiManagementWorkspaceLinksProperties",
    "ApiManagementWorkspaceLinksResource",
    "ApiReleaseCollection",
    "ApiReleaseContract",
    "ApiRevisionCollection",
    "ApiRevisionContract",
    "ApiRevisionInfoContract",
    "ApiTagResourceContractProperties",
    "ApiUpdateContract",
    "ApiVersionConstraint",
    "ApiVersionSetCollection",
    "ApiVersionSetContract",
    "ApiVersionSetContractDetails",
    "ApiVersionSetContractProperties",
    "ApiVersionSetEntityBase",
    "ApiVersionSetUpdateParameters",
    "ApiVersionSetUpdateParametersProperties",
    "ApimResource",
    "ArmIdWrapper",
    "AssociationContract",
    "AuthenticationSettingsContract",
    "AuthorizationAccessPolicyCollection",
    "AuthorizationAccessPolicyContract",
    "AuthorizationCollection",
    "AuthorizationConfirmConsentCodeRequestContract",
    "AuthorizationContract",
    "AuthorizationError",
    "AuthorizationLoginRequestContract",
    "AuthorizationLoginResponseContract",
    "AuthorizationProviderCollection",
    "AuthorizationProviderContract",
    "AuthorizationProviderOAuth2GrantTypes",
    "AuthorizationProviderOAuth2Settings",
    "AuthorizationServerCollection",
    "AuthorizationServerContract",
    "AuthorizationServerContractBaseProperties",
    "AuthorizationServerContractProperties",
    "AuthorizationServerSecretsContract",
    "AuthorizationServerUpdateContract",
    "AuthorizationServerUpdateContractProperties",
    "BackendAuthorizationHeaderCredentials",
    "BackendBaseParameters",
    "BackendBaseParametersPool",
    "BackendCircuitBreaker",
    "BackendCollection",
    "BackendConfiguration",
    "BackendContract",
    "BackendContractProperties",
    "BackendCredentialsContract",
    "BackendPool",
    "BackendPoolItem",
    "BackendProperties",
    "BackendProxyContract",
    "BackendReconnectContract",
    "BackendServiceFabricClusterProperties",
    "BackendSubnetConfiguration",
    "BackendTlsProperties",
    "BackendUpdateParameterProperties",
    "BackendUpdateParameters",
    "BodyDiagnosticSettings",
    "CacheCollection",
    "CacheContract",
    "CacheUpdateParameters",
    "CertificateCollection",
    "CertificateConfiguration",
    "CertificateContract",
    "CertificateCreateOrUpdateParameters",
    "CertificateInformation",
    "CircuitBreakerFailureCondition",
    "CircuitBreakerRule",
    "ClientSecretContract",
    "ConfigurationApi",
    "ConnectivityCheckRequest",
    "ConnectivityCheckRequestDestination",
    "ConnectivityCheckRequestProtocolConfiguration",
    "ConnectivityCheckRequestProtocolConfigurationHTTPConfiguration",
    "ConnectivityCheckRequestSource",
    "ConnectivityCheckResponse",
    "ConnectivityHop",
    "ConnectivityIssue",
    "ConnectivityStatusContract",
    "ContentItemCollection",
    "ContentItemContract",
    "ContentTypeCollection",
    "ContentTypeContract",
    "DataMasking",
    "DataMaskingEntity",
    "DeletedServiceContract",
    "DeletedServicesCollection",
    "DeployConfigurationParameters",
    "DiagnosticCollection",
    "DiagnosticContract",
    "DiagnosticUpdateContract",
    "DocumentationCollection",
    "DocumentationContract",
    "DocumentationUpdateContract",
    "EmailTemplateCollection",
    "EmailTemplateContract",
    "EmailTemplateParametersContractProperties",
    "EmailTemplateUpdateParameters",
    "EndpointDependency",
    "EndpointDetail",
    "ErrorAdditionalInfo",
    "ErrorDetail",
    "ErrorFieldContract",
    "ErrorResponse",
    "ErrorResponseBody",
    "FailureStatusCodeRange",
    "FrontendConfiguration",
    "GatewayCertificateAuthorityCollection",
    "GatewayCertificateAuthorityContract",
    "GatewayCollection",
    "GatewayConfigurationApi",
    "GatewayContract",
    "GatewayDebugCredentialsContract",
    "GatewayHostnameConfigurationCollection",
    "GatewayHostnameConfigurationContract",
    "GatewayKeyRegenerationRequestContract",
    "GatewayKeysContract",
    "GatewayListDebugCredentialsContract",
    "GatewayListTraceContract",
    "GatewayResourceSkuResult",
    "GatewayResourceSkuResults",
    "GatewaySku",
    "GatewaySkuCapacity",
    "GatewayTokenContract",
    "GatewayTokenRequestContract",
    "GenerateSsoUrlResult",
    "GlobalSchemaCollection",
    "GlobalSchemaContract",
    "GroupCollection",
    "GroupContract",
    "GroupContractProperties",
    "GroupCreateParameters",
    "GroupUpdateParameters",
    "HTTPHeader",
    "HostnameConfiguration",
    "HttpMessageDiagnostic",
    "IdentityProviderBaseParameters",
    "IdentityProviderContract",
    "IdentityProviderContractProperties",
    "IdentityProviderCreateContract",
    "IdentityProviderCreateContractProperties",
    "IdentityProviderList",
    "IdentityProviderUpdateParameters",
    "IdentityProviderUpdateProperties",
    "IssueAttachmentCollection",
    "IssueAttachmentContract",
    "IssueCollection",
    "IssueCommentCollection",
    "IssueCommentContract",
    "IssueContract",
    "IssueContractBaseProperties",
    "IssueContractProperties",
    "IssueUpdateContract",
    "IssueUpdateContractProperties",
    "KeyVaultContractCreateProperties",
    "KeyVaultContractProperties",
    "KeyVaultLastAccessStatusContractProperties",
    "LoggerCollection",
    "LoggerContract",
    "LoggerUpdateContract",
    "MigrateToStv2Contract",
    "NamedValueCollection",
    "NamedValueContract",
    "NamedValueContractProperties",
    "NamedValueCreateContract",
    "NamedValueCreateContractProperties",
    "NamedValueEntityBaseParameters",
    "NamedValueSecretContract",
    "NamedValueUpdateParameterProperties",
    "NamedValueUpdateParameters",
    "NetworkStatusContract",
    "NetworkStatusContractByLocation",
    "NotificationCollection",
    "NotificationContract",
    "OAuth2AuthenticationSettingsContract",
    "OpenIdAuthenticationSettingsContract",
    "OpenIdConnectProviderCollection",
    "OpenidConnectProviderContract",
    "OpenidConnectProviderUpdateContract",
    "Operation",
    "OperationCollection",
    "OperationContract",
    "OperationContractProperties",
    "OperationDisplay",
    "OperationEntityBaseContract",
    "OperationListResult",
    "OperationResultContract",
    "OperationResultLogItemContract",
    "OperationStatusResult",
    "OperationTagResourceContractProperties",
    "OperationUpdateContract",
    "OperationUpdateContractProperties",
    "OutboundEnvironmentEndpoint",
    "OutboundEnvironmentEndpointList",
    "ParameterContract",
    "ParameterExampleContract",
    "PipelineDiagnosticSettings",
    "PolicyCollection",
    "PolicyContract",
    "PolicyDescriptionCollection",
    "PolicyDescriptionContract",
    "PolicyFragmentCollection",
    "PolicyFragmentContract",
    "PolicyRestrictionCollection",
    "PolicyRestrictionContract",
    "PolicyRestrictionUpdateContract",
    "PolicyWithComplianceCollection",
    "PolicyWithComplianceContract",
    "PortalConfigCollection",
    "PortalConfigContract",
    "PortalConfigCorsProperties",
    "PortalConfigCspProperties",
    "PortalConfigDelegationProperties",
    "PortalConfigPropertiesSignin",
    "PortalConfigPropertiesSignup",
    "PortalConfigTermsOfServiceProperties",
    "PortalDelegationSettings",
    "PortalRevisionCollection",
    "PortalRevisionContract",
    "PortalSettingValidationKeyContract",
    "PortalSettingsCollection",
    "PortalSettingsContract",
    "PortalSigninSettings",
    "PortalSignupSettings",
    "PrivateEndpoint",
    "PrivateEndpointConnection",
    "PrivateEndpointConnectionListResult",
    "PrivateEndpointConnectionRequest",
    "PrivateEndpointConnectionRequestProperties",
    "PrivateLinkResource",
    "PrivateLinkResourceListResult",
    "PrivateLinkServiceConnectionState",
    "ProductApiLinkCollection",
    "ProductApiLinkContract",
    "ProductCollection",
    "ProductContract",
    "ProductContractProperties",
    "ProductEntityBaseParameters",
    "ProductGroupLinkCollection",
    "ProductGroupLinkContract",
    "ProductTagResourceContractProperties",
    "ProductUpdateParameters",
    "ProductUpdateProperties",
    "ProxyResource",
    "QuotaCounterCollection",
    "QuotaCounterContract",
    "QuotaCounterValueContract",
    "QuotaCounterValueContractProperties",
    "QuotaCounterValueUpdateContract",
    "RecipientEmailCollection",
    "RecipientEmailContract",
    "RecipientUserCollection",
    "RecipientUserContract",
    "RecipientsContractProperties",
    "RegionContract",
    "RegionListResult",
    "RegistrationDelegationSettingsProperties",
    "RemotePrivateEndpointConnectionWrapper",
    "ReportCollection",
    "ReportRecordContract",
    "RepresentationContract",
    "RequestContract",
    "RequestReportCollection",
    "RequestReportRecordContract",
    "ResolverCollection",
    "ResolverContract",
    "ResolverResultContract",
    "ResolverResultLogItemContract",
    "ResolverUpdateContract",
    "Resource",
    "ResourceCollection",
    "ResourceCollectionValueItem",
    "ResourceLocationDataContract",
    "ResourceSku",
    "ResourceSkuCapacity",
    "ResourceSkuResult",
    "ResourceSkuResults",
    "ResponseContract",
    "SamplingSettings",
    "SaveConfigurationParameter",
    "SchemaCollection",
    "SchemaContract",
    "SubscriptionCollection",
    "SubscriptionContract",
    "SubscriptionCreateParameters",
    "SubscriptionKeyParameterNamesContract",
    "SubscriptionKeysContract",
    "SubscriptionUpdateParameters",
    "SubscriptionsDelegationSettingsProperties",
    "SystemData",
    "TagApiLinkCollection",
    "TagApiLinkContract",
    "TagCollection",
    "TagContract",
    "TagCreateUpdateParameters",
    "TagDescriptionBaseProperties",
    "TagDescriptionCollection",
    "TagDescriptionContract",
    "TagDescriptionContractProperties",
    "TagDescriptionCreateParameters",
    "TagOperationLinkCollection",
    "TagOperationLinkContract",
    "TagProductLinkCollection",
    "TagProductLinkContract",
    "TagResourceCollection",
    "TagResourceContract",
    "TagResourceContractProperties",
    "TenantConfigurationSyncStateContract",
    "TenantSettingsCollection",
    "TenantSettingsContract",
    "TermsOfServiceProperties",
    "TokenBodyParameterContract",
    "UserCollection",
    "UserContract",
    "UserContractProperties",
    "UserCreateParameterProperties",
    "UserCreateParameters",
    "UserEntityBaseParameters",
    "UserIdentityCollection",
    "UserIdentityContract",
    "UserIdentityProperties",
    "UserTokenParameters",
    "UserTokenResult",
    "UserUpdateParameters",
    "UserUpdateParametersProperties",
    "VirtualNetworkConfiguration",
    "WikiCollection",
    "WikiContract",
    "WikiDocumentationContract",
    "WikiUpdateContract",
    "WorkspaceCollection",
    "WorkspaceContract",
    "WorkspaceLinksBaseProperties",
    "WorkspaceLinksGateway",
    "X509CertificateName",
    "AccessIdName",
    "AccessType",
    "AlwaysLog",
    "ApiGatewaySkuType",
    "ApiManagementSkuCapacityScaleType",
    "ApiManagementSkuRestrictionsReasonCode",
    "ApiManagementSkuRestrictionsType",
    "ApiType",
    "ApimIdentityType",
    "AppType",
    "AsyncOperationStatus",
    "AsyncResolverStatus",
    "AuthorizationMethod",
    "AuthorizationType",
    "BackendProtocol",
    "BackendType",
    "BearerTokenSendingMethod",
    "BearerTokenSendingMethods",
    "CertificateConfigurationStoreName",
    "CertificateSource",
    "CertificateStatus",
    "ClientAuthenticationMethod",
    "ConfigurationIdName",
    "Confirmation",
    "ConnectionStatus",
    "ConnectivityCheckProtocol",
    "ConnectivityStatusType",
    "ContentFormat",
    "CreatedByType",
    "DataMaskingMode",
    "DeveloperPortalStatus",
    "ExportApi",
    "ExportFormat",
    "ExportResultFormat",
    "GatewayListDebugCredentialsContractPurpose",
    "GatewaySkuCapacityScaleType",
    "GrantType",
    "GroupType",
    "HostnameType",
    "HttpCorrelationProtocol",
    "IdentityProviderType",
    "IssueType",
    "KeyType",
    "KeyVaultRefreshState",
    "LegacyApiState",
    "LegacyPortalStatus",
    "LoggerType",
    "Method",
    "MigrateToStv2Mode",
    "NameAvailabilityReason",
    "NatGatewayState",
    "NotificationName",
    "OAuth2GrantType",
    "OperationNameFormat",
    "Origin",
    "PlatformVersion",
    "PolicyComplianceState",
    "PolicyContentFormat",
    "PolicyExportFormat",
    "PolicyFragmentContentFormat",
    "PolicyIdName",
    "PolicyRestrictionRequireBase",
    "PolicyScopeContract",
    "PortalRevisionStatus",
    "PortalSettingsCspMode",
    "PreferredIPVersion",
    "PrivateEndpointConnectionProvisioningState",
    "PrivateEndpointServiceConnectionStatus",
    "ProductState",
    "Protocol",
    "PublicNetworkAccess",
    "ResourceSkuCapacityScaleType",
    "SamplingType",
    "SchemaType",
    "SettingsTypeName",
    "Severity",
    "SkuType",
    "SoapApiType",
    "State",
    "SubscriptionState",
    "TemplateName",
    "TranslateRequiredQueryParametersConduct",
    "UserState",
    "Verbosity",
    "VersioningScheme",
    "VirtualNetworkType",
]
__all__.extend([p for p in _patch_all if p not in __all__])  # pyright: ignore
_patch_sdk()
